
module "elasticache" {
  source = "terraform-aws-modules/elasticache/aws"
  version = "1.2.0"
  apply_immediately = var.apply_immediately
  at_rest_encryption_enabled = var.at_rest_encryption_enabled
  auth_token = var.auth_token
  auth_token_update_strategy = var.auth_token_update_strategy
  auto_minor_version_upgrade = var.auto_minor_version_upgrade
  automatic_failover_enabled = var.automatic_failover_enabled
  availability_zone = var.availability_zone
  az_mode = var.az_mode
  cluster_id = var.cluster_id
  cluster_mode_enabled = var.cluster_mode_enabled
  create = var.create
  create_cluster = var.create_cluster
  create_parameter_group = var.create_parameter_group
  create_primary_global_replication_group = var.create_primary_global_replication_group
  create_replication_group = var.create_replication_group
  create_secondary_global_replication_group = var.create_secondary_global_replication_group
  create_security_group = var.create_security_group
  create_subnet_group = var.create_subnet_group
  data_tiering_enabled = var.data_tiering_enabled
  description = var.description
  engine = var.engine
  engine_version = var.engine_version
  final_snapshot_identifier = var.final_snapshot_identifier
  global_replication_group_id = var.global_replication_group_id
  ip_discovery = var.ip_discovery
  kms_key_arn = var.kms_key_arn
  log_delivery_configuration = var.log_delivery_configuration
  maintenance_window = var.maintenance_window
  multi_az_enabled = var.multi_az_enabled
  network_type = var.network_type
  node_type = var.node_type
  notification_topic_arn = var.notification_topic_arn
  num_cache_clusters = var.num_cache_clusters
  num_cache_nodes = var.num_cache_nodes
  num_node_groups = var.num_node_groups
  outpost_mode = var.outpost_mode
  parameter_group_description = var.parameter_group_description
  parameter_group_family = var.parameter_group_family
  parameter_group_name = var.parameter_group_name
  parameters = var.parameters
  port = var.port
  preferred_availability_zones = var.preferred_availability_zones
  preferred_cache_cluster_azs = var.preferred_cache_cluster_azs
  preferred_outpost_arn = var.preferred_outpost_arn
  replicas_per_node_group = var.replicas_per_node_group
  replication_group_id = var.replication_group_id
  security_group_description = var.security_group_description
  security_group_ids = var.security_group_ids
  security_group_name = var.security_group_name
  security_group_names = var.security_group_names
  security_group_rules = var.security_group_rules
  security_group_tags = var.security_group_tags
  security_group_use_name_prefix = var.security_group_use_name_prefix
  snapshot_arns = var.snapshot_arns
  snapshot_name = var.snapshot_name
  snapshot_retention_limit = var.snapshot_retention_limit
  snapshot_window = var.snapshot_window
  subnet_group_description = var.subnet_group_description
  subnet_group_name = var.subnet_group_name
  subnet_ids = var.subnet_ids
  tags = var.tags
  transit_encryption_enabled = var.transit_encryption_enabled
  transit_encryption_mode = var.transit_encryption_mode
  user_group_ids = var.user_group_ids
  vpc_id = var.vpc_id
}
